package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.broker.entity.BrokerEntity;
import com.ycwl.basic.model.pc.broker.req.BrokerReqQuery;
import com.ycwl.basic.model.pc.broker.resp.BrokerRespVO;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 15:54
 */
public interface BrokerService {
    PageInfo<BrokerRespVO> pageQuery(BrokerReqQuery brokerReqQuery);
    List<BrokerRespVO> list(BrokerReqQuery brokerReqQuery);
    BrokerRespVO getById(Long id);
    int addOrUpdate(BrokerEntity broker);
    int delete(Long id);
    int updateStatus(Long id);
    int updateBrokerEnable(Long id);
}
